<?php
if ( ! class_exists( 'NISHIKI_PRO_ADMIN_MENU' ) ) {
	/**
	 * テーマ概要ページ
	 */
	class NISHIKI_PRO_ADMIN_MENU {
		/**
		 * 初期設定
		 */
		public function __construct() {
			// オプションページ追加フック
			add_action( 'admin_menu', array( $this, 'nishiki_pro_admin_menu' ), 5 );
		}

		/**
		 * メニュー追加
		 */
		public function nishiki_pro_admin_menu() {

			// パターン
			add_menu_page(
				'パターン',
				'パターン',
				'read',
				'edit.php?post_type=wp_block',
				'',
				'',
				21
			);
		}
	}

	if ( is_admin() ) {
		$output = new NISHIKI_PRO_ADMIN_MENU();
	}
}
